# Uses of Enum Class
org.apache.sysds.runtime.ooc.cache.BlockState

Packages that use BlockState
Package
Description
org.apache.sysds.runtime.ooc.cache

## Uses of BlockState in org.apache.sysds.runtime.ooc.cache

Methods in org.apache.sysds.runtime.ooc.cache that return BlockState
Modifier and Type
Method
Description
`BlockState`
BlockEntry.`getState()`
`static BlockState`
BlockState.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static BlockState[]`
BlockState.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.apache.sysds.runtime.ooc.cache with parameters of type BlockState
Modifier and Type
Method
Description
`void`
BlockEntry.`setState(BlockState state)`
Constructors in org.apache.sysds.runtime.ooc.cache with parameters of type BlockState
Modifier
Constructor
Description
``
`BlockEntry(BlockKey key, long size, Object data, BlockState state)`